Part: JoinConnect

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part JoinConnect and the translation is 85% complete.

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Part JoinConnect.png Join features
Next: Embed Part JoinEmbed.png Arrow-right.svg

Part JoinConnect.svg Part JoinConnect

Menu location
Part → Join → Connect objects
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Connect, Embed, Cutout, Part Booleans, Part Thickness


Descriere

Instrument de conectare pentru îmbinarea inerioarelor a două obiecte goale-tip perete (de ex. Conducte). Poate asocia, de asemenea, cu cochiliile și filamente/polilinii.

JoinFeatures Connect.png

Cum se folosește

  1. Select objects to be connected.
    The order of selection is not important, since the action of the tool is symmetric. It is enough to select one sub-shape of each object (e.g., faces). You can also select a compound containing all the shapes to be connected, e.g. Draft Array.
  2. Invoke the Part JoinConnect command.

Se creează un obiect parametric Connect. Obiectele originale sunt ascunse, iar rezultatul intersecției este afișat în vizualizarea 3D.

Proprietăți

Connect

  • DATAObjects: List of objects to be connected. Generally, at least two objects are needed, but a single compound containing the shapes to connect will do as well. (as of FreeCAD v0.17.8053, this property is not displayed in property editor, and can only be accessed via Python).
  • DATARefine: Sets whether to apply Refine operation or not, to the final shape. The default value is determined by a 'Automatically refine shape after boolean operation' checkbox in PartDesign preferences.
  • DATATolerance: "fuzziness" value. This is an extra tolerance to apply when searching for intersections, in addition to tolerances stored in the input shapes.

Exemplu

  1. Create a pipe by applying thickness to a cylinder:
    JoinFeatures Example step1.png
  2. Create another, smaller diameter pipe, and place it so that it pierces the wall of the first pipe:
    JoinFeatures Example step2.png
  3. Select the first pipe and the second pipe, and click the 'Connect objects' option from the Join tools dropdown toolbar button.
    JoinFeatures Example step3 Connect.png
  4. Use some cross-section tool (Clipping plane, Arch Section Plane, Arch Cut Plane) to reveal internals. On the picture below, Arch Section Plane is used.
    JoinFeatures Example step4 Connect.png

Algoritm

Algoritmii din spatele instrumentelor de conectare sunt relativ de simple, iar înțelegerea acestora este importantă pentru utilizarea corectă a instrumentelor. Algoritmul Connect, în special, este un pic mai complex decât alții, însă în general este suficient să ne gândim la acesta ca la o variantă simetrică Embed algorithm

1. Each object is split into pieces by intersections with other objects. (see Part BooleanFragments)

2. From the pieces of an object, only the largest one is kept; all the rest are thrown away.

3. Intersection pieces that touch at least two objects are added to result. Then, the pieces are joined together to form the result of Connect.

Note

  • Dacă la etapa 1 fiecare obiect rămâne într-o singură bucată, rezultatul Connect va fi echivalent cu union de obiecte.
  • Now, all compounds supplied are exploded prior to connecting. This means that self-intersecting compounds, which are invalid for all other Boolean operations, are valid for Connect. (This may be changed in the future.)
  • The "largest" piece is the one that has largest mass. That is, for solids, volumes are compared; for shells and faces, areas are compared, and so on.
  • Since FreeCAD v0.17.8053, and if OCC version is 6.9.0 and above, Connect is almost as fast as all other Boolean operations. For older versions, Connect is approximately 5 times slower than a regular Boolean operation, and works only on solids.

Script

Instrumentul Join poate fi folosit în macros și din consola python utilizând următoarea funcție:

BOPTools.JoinFeatures.makeConnect(name)
  • Creates an empty Connect feature. The 'Objects' property must be assigned explicitly, afterwards.
  • Returns the newly created object.

Connect can also be applied to plain shapes, without the need to have a document object, via:

Part.BOPTools.JoinAPI.connect(list_of_shapes, tolerance = 0.0)

This can be useful for making custom Python scripted features.

Exempluː

import Part
j = Part.BOPTools.JoinFeatures.makeConnect(name= 'Connect')
j.Objects = FreeCADGui.Selection.getSelection()

The tool itself is implemented in Python, see /Mod/Part/BOPTools/JoinFeatures.py under where FreeCAD is installed.

Versiune

Instrumentul a fost introduc încpând cu FreeCAD v0.16.5069

Instrumentul este re-implementat via generalFuse in FreeCAD v0.17.8053

Arrow-left.svg Previous: Part JoinConnect.png Join features
Next: Embed Part JoinEmbed.png Arrow-right.svg